magnifying-glassGet payment methods

Retrieve Payment Methods by Country

get

The Payment Methods endpoint allows you to retrieve the complete list of payment methods you have available for the specified country, along with its payment method's type, code, logos and more.

Authorizations
AuthorizationstringRequired

Authentication using a Bearer Token (Read-Only API Key). The token should be prefixed with "Bearer ".

Path parameters
countrystringRequired

Country ISO code (e.g., BR, AR, MX).

Example: BR
Responses
chevron-right
200

Payment methods successfully retrieved.

application/json

Details of an available payment method.

countrystringOptional

Country code.

Example: BR
codestringOptional

Payment method code that should be used when creating a deposit request.

Example: BB
namestringOptional

Payment method name.

Example: Banco do Brasil
typestring · enumOptional

Payment method type. Check the Payment Types section for further details.

Example: BANK_DEPOSITPossible values:
statusstringOptional

Status of the payment method. It will be updated in case a payment method becomes momentarily unavailable.

Example: OK
logostring · urlOptional

URL containing the payment method logo.

Example: https://resources.onekeypayments.com/cashin/payment_method/square/BB.svg
daily_averagenumber · integerOptional

Daily average time for the approval of the deposits with this payment method in seconds. *Note that in case the method is new, we may not have daily average information so this field won't be returned.

Example: 5
monthly_averagenumber · integerOptional

Monthly average time for the approval of the deposits with this payment method in seconds. *Note that in case the method is new, we may not have monthly average information so this field won't be returned.

Example: 5
get
/v3/payment_methods/{country}

Last updated

Was this helpful?